"use server"
import { Genre } from "@prisma/client"
import prisma from "./db"
import { revalidatePath } from "next/cache"
import { redirect } from "next/navigation"


export async function updateField({ datum, table, column, id, pathname }: { datum?: string | number | Genre[], table: string, column: string, id: number, pathname: string }) {
	const res = await prisma[table].update({
		where: { id },
		data: {
			[column]: datum
		}
	})
	console.log(`updated record in ${table}: ${JSON.stringify(res)}`)
	revalidatePath(pathname)
	redirect(pathname)
}

export async function updateGenres({ genres, table, id, pathname }: { genres: { id: number }[], table: string, id: number, pathname: string }) {
	const res = await prisma[table].update({
		where: { id },
		data: {
			genres: { set: genres }
		}
	})
	console.log(`updated record in ${table}: ${JSON.stringify(res)}`)
	revalidatePath(pathname)
	redirect(pathname)
}
